if not exist "dist" mkdir "dist"
del /q /f "dist\*.*"
git checkout dist/.gitignore
zig build mapgen
zig build -Drelease-small=true
wasm-opt -Oz --strip-producers --dce ./zig-out/lib/cart.wasm -o ./dist/tamamo.wasm
wasm-strip ./dist/tamamo.wasm

w4 bundle --windows ./dist/tamamo.exe --mac ./dist/tamamo.macOS --linux ./dist/tamamo.linux --title "Mara 2" --description "Tamamo-no-Mae's Fury" --html ./dist/tamamo.html --timestamp --html-disk-prefix "mara-2" ./dist/tamamo.wasm